/*
 * Copyright (c) 2007, 2012, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 * $Id$
 */

package com.sun.ts.tests.jaxrs.ee.rs.core.response;

import javax.ws.rs.core.Application;

import com.sun.ts.tests.jaxrs.common.provider.PrintingErrorHandler;
import com.sun.ts.tests.jaxrs.common.provider.StringBeanHeaderDelegate;

import java.util.Set;
import java.util.HashSet;


/**
 *
 * @author diannejiao
 */
public class TSAppConfig extends Application {
    
    public java.util.Set<java.lang.Class<?>> getClasses() {
        Set<Class<?>> resources = new HashSet<Class<?>>();
        resources.add(ResponseTest.class);
        resources.add(StringBeanHeaderDelegate.class);
        resources.add(PrintingErrorHandler.class);
        return resources;
    }   
}
